airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Marcus Levine (Jira)" <j...@apache.org>
Subject [jira] [Updated] (AIRFLOW-5694) Check for blinker when detecting Sentry packages
Date Fri, 18 Oct 2019 17:30:00 GMT

     [ https://issues.apache.org/jira/browse/AIRFLOW-5694?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Marcus Levine updated AIRFLOW-5694:
-----------------------------------
    Description: 
After upgrading to 1.10.6rc1 with `sentry-sdk` installed but not specifying the `[sentry]`
extra, the dependency `blinker` will cause failures of the following form:
{code:java}
../lib/python3.7/site-packages/airflow/__init__.py:40: in <module>    from airflow.models
import DAG../lib/python3.7/site-packages/airflow/models/__init__.py:21: in <module>
   from airflow.models.baseoperator import BaseOperator  # noqa: F401../lib/python3.7/site-packages/airflow/models/baseoperator.py:42:
in <module>    from airflow.models.dag import DAG../lib/python3.7/site-packages/airflow/models/dag.py:51:
in <module>    from airflow.models.taskinstance import TaskInstance, clear_task_instances../lib/python3.7/site-packages/airflow/models/taskinstance.py:53:
in <module>    from airflow.sentry import Sentry../lib/python3.7/site-packages/airflow/sentry.py:167:
in <module>    Sentry = ConfiguredSentry()../lib/python3.7/site-packages/airflow/sentry.py:94:
in __init__    init(integrations=integrations)../lib/python3.7/site-packages/sentry_sdk/hub.py:81:
in _init    client = Client(*args, **kwargs)  # type: ignore../lib/python3.7/site-packages/sentry_sdk/client.py:80:
in __init__    self._init_impl()../lib/python3.7/site-packages/sentry_sdk/client.py:108:
in _init_impl    with_defaults=self.options["default_integrations"],../lib/python3.7/site-packages/sentry_sdk/integrations/__init__.py:82:
in setup_integrations    type(integration).setup_once()../lib/python3.7/site-packages/sentry_sdk/integrations/flask.py:57:
in setup_once    appcontext_pushed.connect(_push_appctx)../lib/python3.7/site-packages/flask/signals.py:39:
in _fail    "Signalling support is unavailable because the blinker"E   RuntimeError: Signalling
support is unavailable because the blinker library is not installed.


{code}

  was:
{{After upgrading to 1.10.6rc1 with `sentry-sdk` installed but not specifying the `[sentry]`
extra, the dependency `blinker` will cause failures of the following form: }}
{{ ../lib/python3.7/site-packages/airflow/__init__.py:40: in <module>}}
{{    from airflow.models import DAG}}
{{ ../lib/python3.7/site-packages/airflow/models/__init__.py:21: in <module>}}
{{    from airflow.models.baseoperator import BaseOperator  # noqa: F401}}
{{ ../lib/python3.7/site-packages/airflow/models/baseoperator.py:42: in <module>}}
{{    from airflow.models.dag import DAG}}
{{ ../lib/python3.7/site-packages/airflow/models/dag.py:51: in <module>}}
{{    from airflow.models.taskinstance import TaskInstance, clear_task_instances}}
{{ ../lib/python3.7/site-packages/airflow/models/taskinstance.py:53: in <module>}}
{{    from airflow.sentry import Sentry}}
{{ ../lib/python3.7/site-packages/airflow/sentry.py:167: in <module>}}
{{    Sentry = ConfiguredSentry()}}
{{ ../lib/python3.7/site-packages/airflow/sentry.py:94: in __init__}}
{{    init(integrations=integrations)}}
{{ ../lib/python3.7/site-packages/sentry_sdk/hub.py:81: in _init}}
{{    client = Client(*args, **kwargs)  # type: ignore}}
{{ ../lib/python3.7/site-packages/sentry_sdk/client.py:80: in __init__}}
{{    self._init_impl()}}
{{ ../lib/python3.7/site-packages/sentry_sdk/client.py:108: in _init_impl}}
{{    with_defaults=self.options["default_integrations"],}}
{{ ../lib/python3.7/site-packages/sentry_sdk/integrations/__init__.py:82: in setup_integrations}}
{{    type(integration).setup_once()}}
{{ ../lib/python3.7/site-packages/sentry_sdk/integrations/flask.py:57: in setup_once}}
{{    appcontext_pushed.connect(_push_appctx)}}
{{ ../lib/python3.7/site-packages/flask/signals.py:39: in _fail}}
{{    "Signalling support is unavailable because the blinker"}}
{{ E   RuntimeError: Signalling support is unavailable because the blinker library is not
installed.}}


> Check for blinker when detecting Sentry packages
> ------------------------------------------------
>
>                 Key: AIRFLOW-5694
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-5694
>             Project: Apache Airflow
>          Issue Type: Bug
>          Components: dependencies
>    Affects Versions: 1.10.6
>            Reporter: Marcus Levine
>            Assignee: Marcus Levine
>            Priority: Minor
>             Fix For: 1.10.6
>
>
> After upgrading to 1.10.6rc1 with `sentry-sdk` installed but not specifying the `[sentry]`
extra, the dependency `blinker` will cause failures of the following form:
> {code:java}
> ../lib/python3.7/site-packages/airflow/__init__.py:40: in <module>    from airflow.models
import DAG../lib/python3.7/site-packages/airflow/models/__init__.py:21: in <module>
   from airflow.models.baseoperator import BaseOperator  # noqa: F401../lib/python3.7/site-packages/airflow/models/baseoperator.py:42:
in <module>    from airflow.models.dag import DAG../lib/python3.7/site-packages/airflow/models/dag.py:51:
in <module>    from airflow.models.taskinstance import TaskInstance, clear_task_instances../lib/python3.7/site-packages/airflow/models/taskinstance.py:53:
in <module>    from airflow.sentry import Sentry../lib/python3.7/site-packages/airflow/sentry.py:167:
in <module>    Sentry = ConfiguredSentry()../lib/python3.7/site-packages/airflow/sentry.py:94:
in __init__    init(integrations=integrations)../lib/python3.7/site-packages/sentry_sdk/hub.py:81:
in _init    client = Client(*args, **kwargs)  # type: ignore../lib/python3.7/site-packages/sentry_sdk/client.py:80:
in __init__    self._init_impl()../lib/python3.7/site-packages/sentry_sdk/client.py:108:
in _init_impl    with_defaults=self.options["default_integrations"],../lib/python3.7/site-packages/sentry_sdk/integrations/__init__.py:82:
in setup_integrations    type(integration).setup_once()../lib/python3.7/site-packages/sentry_sdk/integrations/flask.py:57:
in setup_once    appcontext_pushed.connect(_push_appctx)../lib/python3.7/site-packages/flask/signals.py:39:
in _fail    "Signalling support is unavailable because the blinker"E   RuntimeError: Signalling
support is unavailable because the blinker library is not installed.
> {code}



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message